Bug 978393 - Wrong description of installation of Spring Framework as a EAP6 module
Wrong description of installation of Spring Framework as a EAP6 module
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: doc-Spring-Installation-Guide (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Sneha
Tomas Repel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 10:11 EDT by Tomas Repel
Modified: 2014-11-09 18:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 07:32:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Repel 2013-06-26 10:11:29 EDT
Document URL: 

http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Web_Framework_Kit/2.3/html-single/Spring_Installation_Guide/index.html

Section Number and Name:

2.1. The Installation Process

Describe the issue: 

The path where modules should be installed has changed between EAP 6.0.x and EAP 6.1.0 versions.

Suggestions for improvement: 
The path `JBOSS_HOME/modules/org/springframework/spring/main` has to be changed to `JBOSS_HOME/modules/system/layers/base/org/springframework/spring/main`
Comment 1 Sneha 2013-06-27 07:09:18 EDT
Updated the guide as per the bug description.
Comment 2 Tomas Repel 2013-06-28 09:44:36 EDT
I have just noticed, that in the first sentence of chapter 2.1. The Installation Process the path has to be changed as well, replace `$JBOSS_HOME/modules` (it is bold) by `$JBOSS_HOME/modules/system/layers/base`
Comment 4 Tomas Repel 2013-07-01 11:22:42 EDT
Verified in WFK 2.3.0.CR1.

Note You need to log in before you can comment on or make changes to this bug.